it.csi.mddtools.guigen

## Interface ChkEditStatusCommand

- All Superinterfaces:
    Command, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ChkEditStatusCommand
      extends Command

  A representation of the model object 'Chk Edit Status Command'. Permette di verificare se, all'interno di una sessione di editing, vi sono state delle variazioni al valore di uno o più ApplicationData. Affinchè il check sia veritiero è necessario che gli ApplicationData oggetto di verifica siano un sottoinsieme dell'insieme di ApplicationData indicati nel comando BeginEditCommand che ha originato la sessione di editing (altrimenti non sarà disponibile il valore originario con il quale effettuare il check di modifica). A fronte dell'esito del check sarà possibile proseguire l'esecuzione con uno tra due comandi (referenziati nei due elementi di tipo CommandOutcome). Mediante l'attributo checkAggregationE'possibile specificare la logica di aggregazione del check relativamente ai vari ApplicationData referenziati:
  - OR: l'esito sarà di "occorsa variazione" se il valore di almeno uno dei dati referenziati avrà subito una modifica rispatto allo stato originale.
  - AND: l'esito sarà di "occorsa variazione" se il valore di tutti i dati referenziati avrà subito una modifica rispatto allo stato originale.
  - XOR: l'esito sarà di "occorsa variazione" se il valore di uno soltanto tra i dati referenziati avrà subito una modifica rispatto allo stato originale.

  The following features are supported:

  - `Data Checked`
  - `Check Aggregation`
  - `Do If Changed`
  - `Do If Not Changed`
  See Also:
    `GuigenPackage.getChkEditStatusCommand()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `LogicAggregationTypes` | `getCheckAggregation()` Returns the value of the 'Check Aggregation' attribute.
    `org.eclipse.emf.common.util.EList<ApplicationData>` | `getDataChecked()` Returns the value of the 'Data Checked' reference list.
    `CommandOutcome` | `getDoIfChanged()` Returns the value of the 'Do If Changed' containment reference
    `CommandOutcome` | `getDoIfNotChanged()` Returns the value of the 'Do If Not Changed' containment reference
    `void` | `setCheckAggregation(LogicAggregationTypes value)` Sets the value of the '`Check Aggregation`' attribute
    `void` | `setDoIfChanged(CommandOutcome value)` Sets the value of the '`Do If Changed`' containment reference
    `void` | `setDoIfNotChanged(CommandOutcome value)` Sets the value of the '`Do If Not Changed`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getDataChecked

          org.eclipse.emf.common.util.EList<ApplicationData> getDataChecked()

      Returns the value of the 'Data Checked' reference list. The list contents are of type `ApplicationData`. Elenco dei dati oggetto della verifica. Devono essere un sottoinsieme dei dati referenziati nel corrispondente BeginEditCommand.
      Returns:
        the value of the 'Data Checked' reference list.
      See Also:
        `GuigenPackage.getChkEditStatusCommand_DataChecked()`

    - #### getCheckAggregation

          LogicAggregationTypes getCheckAggregation()

      Returns the value of the 'Check Aggregation' attribute. The default value is `"OR"`. The literals are from the enumeration `LogicAggregationTypes`. Tipo di aggregazione dei check sui dati. Possibilità:
      - OR: l'esito sarà di "occorsa variazione" se il valore di almeno uno dei dati referenziati avrà subito una modifica rispatto allo stato originale.
      - AND: l'esito sarà di "occorsa variazione" se il valore di tutti i dati referenziati avrà subito una modifica rispatto allo stato originale.
      - XOR: l'esito sarà di "occorsa variazione" se il valore di uno soltanto tra i dati referenziati avrà subito una modifica rispatto allo stato originale.
      Returns:
        the value of the 'Check Aggregation' attribute.
      See Also:
        `LogicAggregationTypes`, `setCheckAggregation(LogicAggregationTypes)`, `GuigenPackage.getChkEditStatusCommand_CheckAggregation()`

    - #### setCheckAggregation

          void setCheckAggregation(LogicAggregationTypes value)

      Sets the value of the '`Check Aggregation`' attribute.
      Parameters:
        `value` - the new value of the 'Check Aggregation' attribute.
      See Also:
        `LogicAggregationTypes`, `getCheckAggregation()`

    - #### getDoIfChanged

          CommandOutcome getDoIfChanged()

      Returns the value of the 'Do If Changed' containment reference. Specifica il branch di elaborazione da eseguire nel caso che i check specificati indichino che ci sono state delle modifiche.
      Returns:
        the value of the 'Do If Changed' containment reference.
      See Also:
        `setDoIfChanged(CommandOutcome)`, `GuigenPackage.getChkEditStatusCommand_DoIfChanged()`

    - #### setDoIfChanged

          void setDoIfChanged(CommandOutcome value)

      Sets the value of the '`Do If Changed`' containment reference.
      Parameters:
        `value` - the new value of the 'Do If Changed' containment reference.
      See Also:
        `getDoIfChanged()`

    - #### getDoIfNotChanged

          CommandOutcome getDoIfNotChanged()

      Returns the value of the 'Do If Not Changed' containment reference. Specifica il branch di elaborazione da eseguire nel caso che i check specificati indichino che non ci sono state delle modifiche.
      Returns:
        the value of the 'Do If Not Changed' containment reference.
      See Also:
        `setDoIfNotChanged(CommandOutcome)`, `GuigenPackage.getChkEditStatusCommand_DoIfNotChanged()`

    - #### setDoIfNotChanged

          void setDoIfNotChanged(CommandOutcome value)

      Sets the value of the '`Do If Not Changed`' containment reference.
      Parameters:
        `value` - the new value of the 'Do If Not Changed' containment reference.
      See Also:
        `getDoIfNotChanged()`